cec2005benchmark {cec2005benchmark} | R Documentation

## Benchmark Functions

### Description

Common interface to all benchmark functions

### Usage

    cec2005benchmark(i, x)

### Arguments

`i` | Function number between 1 and 25
`x` | Either a vector with 2, 10, 30 or 50 elements or a matrix with the same number of columns and one row for each vector to be evaluated

### Value

A vector with the evaluation of the function for each row of `x`

### References

P. N. Suganthan, N. Hansen, J. J. Liang, K. Deb, Y.-P. Chen, A. Auger, S. Tiwari (2005). Problem Definitions and Evaluation Criteria for the CEC 2005 Special Session on Real-Parameter Optimization, Technical report, Nanyang Technological University, Singapore, May 2005, http://www.ntu.edu.sg/home/EPNSugan/index_files/CEC-05/CEC05.htm.

[Package cec2005benchmark version 1.0.4 Index]